Skip to main content

Interaction Zones

Create an Interaction Zone

Attributes

AttributeDescriptionRequiredPossible Values
ad_account_idAd Account IDR
nameCreative Element nameR
headlineHeadline for the interaction zoneRSame as all allowed call_to_action values for Web View Creative
creative_elementsArray of Creative Element IDsRMust have at least 4 creative elements.
curl -X POST  \
-d '{"interaction_zones": [{"name": "First Interaction Zone", "creative_element_ids": ["d28427e5-0604-406c-8f23-167b211a3317","dc80a56f-800c-499b-846b-78e74bd39a9d","75a98c65-1e62-4507-97fe-50cbc523523a","faefe7cd-567d-4647-bb1d-b918fb0ac98a", "f63bb5f5-471c-404f-8f0d-e5c1a003e4d9"], "headline":"MORE"}]}' \
-H "Content-Type: application/json" \
-H "Authorization: Bearer meowmeowmeow" \
https://adsapi.snapchat.com/v1/adaccounts/8adc3db7-8148-4fbf-999c-8d2266369d74/interaction_zones

The above command returns JSON structured like this:

{
"request_status": "SUCCESS",
"request_id": "5bee38df00ff00ff5858a22dbc9f0001737e616473617069736300016275696c642d33373039663463642d312d3232302d3000010154",
"interaction_zones": [
{
"sub_request_status": "SUCCESS",
"interaction_zone": {
"id": "a218dc8b-7a79-4da6-9a1c-e5a581c7bd46",
"updated_at": "2018-11-16T03:26:23.130Z",
"created_at": "2018-11-16T03:26:23.130Z",
"name": "First Interaction Zone",
"ad_account_id": "8adc3db7-8148-4fbf-999c-8d2266369d74",
"headline": "MORE",
"creative_element_ids": [
"70debf44-cb4b-4b5f-8828-bd2b68b9f0cf",
"a2d1c8a0-0466-4924-b769-7a7e6ed5be3b",
"4091233e-3351-405d-8684-a97e70c3b5dc",
"f63bb5f5-471c-404f-8f0d-e5c1a003e4d9"
]
}
}
]
}

Get Interaction Zone using Interaction Zone Id

curl "https://adsapi.snapchat.com/v1/interaction_zones/{interaction_zone_id}" \
-H "Authorization: Bearer meowmeowmeow"

The above command returns JSON structured like this:

{
"request_status": "SUCCESS",
"request_id": "test-req-id-1a2b-3c4d-5e6f-7g8h",
"interaction_zones": [
{
"sub_request_status": "SUCCESS",
"interaction_zone": {
"id": "test-zone-id-1122-3344-5566-7788",
"updated_at": "2024-06-15T09:00:00.000Z",
"created_at": "2024-06-15T09:00:00.000Z",
"name": "Test Company Catalog (test-store.example.com)",
"ad_account_id": "test-ad-id-9988-7766-5544-3322",
"headline": "VIEW_PRODUCTS",
"creative_element_ids": [
"test-creative-id-1111-2222-3333-4444",
"test-creative-id-5555-6666-7777-8888",
"test-creative-id-aaaa-bbbb-cccc-dddd",
"test-creative-id-eeee-ffff-gggg-hhhh"
],
"render_type": "DYNAMIC"
}
}
]
}

This endpoint retrieves Interaction Zone using Interaction Zone Id.

HTTP Request

GET https://adsapi.snapchat.com/v1/interaction_zones/{interaction_zone_id}

URL Parameters

ParameterDescription
interaction_zone_idThe ID of the Interaction Zone

Get all Interaction Zones for an Ad Account

curl "https://adsapi.snapchat.com/v1/adaccounts/{ad_account_id}/interaction_zones" \
-H "Authorization: Bearer meowmeowmeow"

The above command returns JSON structured like this:

{
"request_status": "SUCCESS",
"request_id": "test-req-id-alpha-beta-gamma-delta",
"paging": {},
"interaction_zones": [
{
"sub_request_status": "SUCCESS",
"interaction_zone": {
"id": "test-zone-id-0001-0002-0003-0004",
"updated_at": "2024-07-22T10:30:00.000Z",
"created_at": "2024-07-22T10:30:00.000Z",
"name": "Test Ad Collection A",
"ad_account_id": "test-ad-account-id-aaaa-bbbb-cccc-dddd",
"headline": "LEARN_MORE",
"creative_element_ids": [
"test-creative-id-1111-aaaa-2222-bbbb",
"test-creative-id-3333-cccc-4444-dddd",
"test-creative-id-5555-eeee-6666-ffff",
"test-creative-id-7777-gggg-8888-hhhh"
],
"render_type": "STATIC"
}
},
{
"sub_request_status": "SUCCESS",
"interaction_zone": {
"id": "test-zone-id-0005-0006-0007-0008",
"updated_at": "2024-07-21T14:00:00.000Z",
"created_at": "2024-07-21T14:00:00.000Z",
"name": "Test Duration Example",
"ad_account_id": "test-ad-account-id-aaaa-bbbb-cccc-dddd",
"headline": "WATCH_NOW",
"creative_element_ids": [
"test-creative-id-9999-iiii-0000-jjjj",
"test-creative-id-1111-kkkk-2222-llll",
"test-creative-id-3333-mmmm-4444-nnnn",
"test-creative-id-5555-oooo-6666-pppp"
],
"render_type": "DYNAMIC"
}
}
]
}

This endpoint retrieves all Interaction Zones for an Ad Account.

HTTP Request

GET https://adsapi.snapchat.com/v1/adaccounts/{ad_account_id}/interaction_zones

URL Parameters

ParameterDescription
ad_account_idThe ID of the Ad Account
Was this page helpful?
Yes
No